text_stats {corpus} | R Documentation

## Text Statistics

### Description

Report descriptive statistics for a set of texts.

### Usage

    text_stats(x, filter = NULL, ...)

### Arguments

`x` | a text corpus.
`filter` | if non-`NULL`, a text filter to to use instead of the default text filter for `x`.
`...` | additional properties to set on the text filter.

### Details

`text_stats` reports descriptive statistics for a set of texts: the number of tokens, unique types, and sentences.

### Value

A data frame with columns named `tokens`, `types`, and `sentences`, with one row for each text.

### See Also

`text_filter`, `term_stats`.

### Examples

    text_stats(c("A rose is a rose is a rose.",
                 "A Rose is red. A violet is blue!"))

[Package corpus version 0.10.0 Index]